Subject: Error attached PDF file

Description: When I attach a pdf file in a new support ticket through client area of whmcs, appears an error:





===================================================================================

=============================================================


Fatal error: Uncaught exception 'kyException' with message 'HTTP error: 400' in 

/var/www/vhosts/***********/httpdocs/modules/support/kayako/API/kyRESTClient.php:196 Stack trace: #0 

/var/www/vhosts/***********/httpdocs/modules/support/kayako/API/kyRESTClient.php(231): 

kyRESTClient->processRequest('/Tickets/Ticket...', 'POST', Array, Array, Array) #1 

/var/www/vhosts/***********/httpdocs/modules/support/kayako/API/kyObjectBase.php(252): 

kyRESTClient->post('/Tickets/Ticket...', Array, Array) #2 

/var/www/vhosts/***********/httpdocs/modules/support/kayako/submitticket.php(151): kyObjectBase->create() 

#3 /var/www/vhosts/***********/httpdocs/submitticket.php(0): unknown() #4 {main} thrown in 

/var/www/vhosts/***********/httpdocs/modules/support/kayako/API/kyRESTClient.php on line 196


===================================================================================

=============================================================





However, ticket is created in kayako and is visible at whmcs client area, but without file attached. The size of 

pdf is 1,41 MB, and the same test with other pdf of 0,84 MB works fine.





SW VERSIONS


kayako module integration for whmcs v 1.1


kayako fusion version 4.54.3181


whmcs version 5.2.5





Where can be the problem?

History

06/24/2013 05:58 am - Amarjeet Kaur

Hi Jose,





First of all, Kindly accept my apologies as response time for your issue is quite long.





I have uploaded PDF file of size more than 5 MB, and the ticket was created successfully.





I have tried to replicate the issue 2-3 times, but could not get it.





It would be quite helpful, if you could provide some screenshots for better tracing the issue.





Thank you,


Amarjeet Kaur


06/26/2013 05:34 am - Jose Castillo

- File pant1.PNG added

- File pant2.PNG added

- File pant3.PNG added
- File NOCPS-Manual-EN.pdf added

Hi Amarjeet,





Thanks for your reply.





I attached 3 images, with steps I've followed and the original PDF I've used in my test. The error appears at second step.





Please, if you need more information, tell me what.





Best regards

06/26/2013 06:23 am - Amarjeet Kaur

Hi Jose,





Thank you for providing the screenshots.





I have tested the ticket creation at my end with attachment provided by you, and it is working fine.





To check this issue at your end, we need FTP details of your WHMCS and Helpdesk.





I request you to create a ticket at [[https://my.kayako.com]] with these details.





Thank you,


Amarjeet Kaur

06/26/2013 07:13 am - Jose Castillo

Hi Amarjeet,





Thanks for your reply.





Iâ€™ve opened a new ticket at https://my.kayako.com/ with details of my system. The ticket is #EHK-383-99964





I hope your comments





Best regards


02/21/2014 03:25 am - Mansi Wason

- Status changed from New to Closed

02/27/2014 04:23 am - Mansi Wason

- Status changed from Closed to Resolved

Files

pant1.PNG 46.5 kB 26 Jun 2013 Jose Castillo

pant2.PNG 42.4 kB 26 Jun 2013 Jose Castillo

pant3.PNG 35.5 kB 26 Jun 2013 Jose Castillo

NOCPS-Manual-EN.pdf 1.4 MB 26 Jun 2013 Jose Castillo
